/* $Id: align.h,v 1.2 2001/09/21 15:13:22 fors Exp $
 * ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 * COPYRIGHT (c) 2001 European Southern Observatory
 * LICENSE: GNU General Public License version 2 or later
 *
 * PROJECT:   VLT Data Flow System
 * AUTHOR:    Ralf Palsa -- ESO/DMD/DPG
 * SUBSYSTEM: Instrument pipelines
 *
 * PURPOSE:
 * DESCRIPTION:
 *
 * $Name: fsmosaic-1_0 $
 * $Revision: 1.2 $
 * ----------------------------------------------------------------------------
 */
 
#ifndef _ALIGN_H_
#define _ALIGN_H_

#include <image.h>

#undef __BEGIN_DECLS
#undef __END_DECLS
#ifdef __cplusplus
#define __BEGIN_DECLS extern "C" {
#define __END_DECLS }
#else
#define __BEGIN_DECLS
#define __END_DECLS
#endif
 
__BEGIN_DECLS

size_t image_compute_hsize(image_t *, double *, double *, unsigned int);
size_t image_compute_vsize(image_t *, double *, double *, unsigned int);

image_t *align_images(image_t *, image_t *, double, double, double,
		      double *, double *);

__END_DECLS
#endif
/* end of align.h */
