
/*-------------------------------------------------------------------------*/
/**
  @file		static_sz.h
  @author	N. Devillard
  @date		Dec 1999
  @version	$Revision: 1.3 $
  @brief	Definitions for various fixed sizes.
*/
/*--------------------------------------------------------------------------*/

/*
	$Id: static_sz.h,v 1.3 2002/01/10 08:53:08 ndevilla Exp $
	$Author: ndevilla $
	$Date: 2002/01/10 08:53:08 $
	$Revision: 1.3 $
*/

#ifndef _STATIC_SZ_H_
#define _STATIC_SZ_H_

#ifdef __cplusplus
extern "C" {
#endif

/* <dox> */
/*---------------------------------------------------------------------------
   								Defines
 ---------------------------------------------------------------------------*/

/** Maximum supported file name size */
#define FILENAMESZ				512

/** Maximum number of characters per line in an ASCII file */
#define ASCIILINESZ				1024

/* </dox> */
#ifdef __cplusplus
}
#endif


#endif
/* vim: set ts=4 et sw=4 tw=75 */
